Bug 1458694 (CVE-2017-8363)

Summary: CVE-2017-8363 libsndfile: Heap buffer over-read in the flac_buffer_copy function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: andreas, mhlavink
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-05 08:58:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1449521    
Bug Blocks:    

Description Andrej Nemec 2017-06-05 08:56:38 UTC
The flac_buffer_copy function in flac.c in libsndfile allows attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted audio file.

References:

https://blogs.gentoo.org/ago/2017/04/29/libsndfile-heap-based-buffer-overflow-in-flac_buffer_copy-flac-c/

Comment 1 Andrej Nemec 2017-06-05 08:57:57 UTC
Created libsndfile tracking bugs for this issue:

Affects: fedora-all [bug 1449521]